Tryton - Issues

 

Issue2356

Title Cost method of product should be limited to fixed for service
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot, xcodinas
Type behavior Components product, product_cost_fifo
Assigned To ced Keywords easy, review
Reviews 34701002, 29241002, 36641002
View: 34701002, 29241002, 36641002

Created on 2011-12-20.10:13:54 by ced, last changed by roundup-bot.

Messages
New changeset 300b8548e9d2 by C├ędric Krier in branch 'default':
Replace domain on cost_price_method by an on_change_type
http://hg.tryton.org/modules/product/rev/300b8548e9d2
New review36641002 at https://codereview.tryton.org/36641002/#ps1
msg35785 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-09-26.02:01:37
I think we can not put a domain (or any restriction) on a Function field.
So with review36641002, I replace the domain with an on_change.
msg35784 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-09-26.01:48:08
Re-open it because it breaks scenario of other modules: https://drone.tryton.org/tryton/modules.account_invoice/8
New changeset 2f79f3444da6 by Xavier Codinas in branch 'default':
Limit cost method to fixed for service
http://hg.tryton.org/modules/product/rev/2f79f3444da6
review34701002 updated at https://codereview.tryton.org/34701002/#ps140001
review34701002 updated at https://codereview.tryton.org/34701002/#ps120001
review34701002 updated at https://codereview.tryton.org/34701002/#ps100001
review34701002 updated at https://codereview.tryton.org/34701002/#ps80001
review34701002 updated at https://codereview.tryton.org/34701002/#ps60001
review34701002 updated at https://codereview.tryton.org/34701002/#ps40001
review34701002 updated at https://codereview.tryton.org/34701002/#ps20001
review29241002 updated at https://codereview.tryton.org/29241002/#ps20001
New review29241002 at https://codereview.tryton.org/29241002/#ps1
New review34701002 at https://codereview.tryton.org/34701002/#ps1
msg31936 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-02-15.10:58:23
I add review34701002 for product and review29241002 for product_cost_fifo as the selection behavior is changed.
msg9581 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2011-12-20.10:13:54
I think other cost method for service has no meaning.
History
Date User Action Args
2017-09-27 00:04:48roundup-botsetstatus: testing -> resolved
messages: + msg35815
2017-09-26 02:11:33reviewbotsetmessages: + msg35786
2017-09-26 02:11:32reviewbotsetreviews: 34701002, 29241002 -> 34701002, 29241002, 36641002
2017-09-26 02:02:12cedsetsuperseder: - Clean translation doesn't clean double xml error message
2017-09-26 02:01:37cedsetstatus: in-progress -> testing
assignedto: xcodinas -> ced
messages: + msg35785
2017-09-26 01:48:09cedsetstatus: resolved -> in-progress
messages: + msg35784
2017-09-22 12:19:22roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg35736
2017-09-20 12:50:26reviewbotsetmessages: + msg35698
2017-09-18 12:16:19reviewbotsetmessages: + msg35676
2017-08-22 17:41:24reviewbotsetmessages: + msg35348

Showing 10 items. Show all history (warning: this could be VERY long)